The Collections - V2 API allows you to manage collections of resources, such as apps, groups, and push groups. Apps included in the collection can opt in or out of Entitlement Management (EM). You can directly assign resource collections to users (principals) or create access request conditions to streamline access to collections. See Resource collection in the product documentation.
- okta.governance.collections.manage
- APP_ADMIN
Creates an empty resource collection
- https://subdomain.okta.comhttps://subdomain.okta.com/governance/api/v2/collections
Request body for creating a new resource collection
curl -i -X POST \
https://subdomain.okta.com/governance/api/v2/collections \
-H 'Content-Type: application/json' \
-d '{
"name": "Core Engineering Access",
"description": "Birthright access for all FTE engineers"
}'Response to a successful resource collection creation operation
The id of the Okta user who created the resource
The ISO 8601 formatted date and time when the resource was created
The ISO 8601 formatted date and time when the object was last updated
The id of the Okta user who last updated the object
The id of the collection in ORN format.
Full response details for a resource collection
{ "id": "cole8sBBMFDxPgcHx0g3", "name": "Core Engineering Access", "orn": "orn:okta:governance:00o11rndFqmZ5rNfs0g4:collections:cole8sBBMFDxPgcHx0g3", "description": "Birthright access for all FTE engineers", "created": "2024-07-24T14:15:22Z", "createdBy": "00ub0oNGTSWTBKOLGLNR", "lastUpdated": "2024-07-24T14:15:22Z", "lastUpdatedBy": "00ub0oNGTSWTBKOLGLNR", "_links": { "resources": { … } } }